www/p5-Test-LWP-UserAgent - The NetBSD Packages Collection

LWP::UserAgent suitable for simulating and testing network calls

This module is a subclass of LWP::UserAgent which overrides a few
key low-level methods that are concerned with actually sending your
request over the network, allowing an interception of that request
and simulating a particular response. This greatly facilitates
testing of client networking code where the server follows a known
protocol.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

filesystems/p5-Path-Tiny devel/p5-Safe-Isa devel/p5-Test-Deep devel/p5-Test-Fatal devel/p5-Test-Needs net/p5-Test-RequiresInternet devel/p5-Test-Warnings www/p5-URI www/p5-libwww devel/p5-namespace-clean lang/perl5 lang/perl5

Available binary packages

aarch64:p5-Test-LWP-UserAgent-0.033nb2.tgz(NetBSD 9.0)
aarch64:p5-Test-LWP-UserAgent-0.034nb1.tgz(NetBSD 9.0)
aarch64:p5-Test-LWP-UserAgent-0.034nb1.tgz(NetBSD 9.0)
alpha:p5-Test-LWP-UserAgent-0.034nb1.tgz(NetBSD 9.0)
alpha:p5-Test-LWP-UserAgent-0.034nb1.tgz(NetBSD 9.0)
earmv6hf:p5-Test-LWP-UserAgent-0.034nb1.tgz(NetBSD 9.0)
earmv6hf:p5-Test-LWP-UserAgent-0.033nb2.tgz(NetBSD 9.0)
earmv6hf:p5-Test-LWP-UserAgent-0.034nb1.tgz(NetBSD 9.0)
earmv6hf:p5-Test-LWP-UserAgent-0.034nb1.tgz(NetBSD 9.0)
earmv7hf:p5-Test-LWP-UserAgent-0.034nb1.tgz(NetBSD 8.0)
earmv7hf:p5-Test-LWP-UserAgent-0.033nb2.tgz(NetBSD 8.0)
earmv7hf:p5-Test-LWP-UserAgent-0.033nb2.tgz(NetBSD 8.0)
earmv7hf:p5-Test-LWP-UserAgent-0.034nb1.tgz(NetBSD 8.0)
earmv7hf:p5-Test-LWP-UserAgent-0.034nb1.tgz(NetBSD 9.0)
earmv7hf:p5-Test-LWP-UserAgent-0.033nb2.tgz(NetBSD 9.0)
earmv7hf:p5-Test-LWP-UserAgent-0.033nb2.tgz(NetBSD 9.0)
earmv7hf:p5-Test-LWP-UserAgent-0.034nb1.tgz(NetBSD 9.0)
earmv7hf:p5-Test-LWP-UserAgent-0.034nb1.tgz(NetBSD 9.0)
i386:p5-Test-LWP-UserAgent-0.033nb2.tgz(NetBSD 8.0)
i386:p5-Test-LWP-UserAgent-0.034nb1.tgz(NetBSD 8.0)
i386:p5-Test-LWP-UserAgent-0.034nb1.tgz(NetBSD 8.0)
i386:p5-Test-LWP-UserAgent-0.033nb2.tgz(NetBSD 9.0)
i386:p5-Test-LWP-UserAgent-0.034nb1.tgz(NetBSD 9.0)
i386:p5-Test-LWP-UserAgent-0.034nb1.tgz(NetBSD 9.0)
mips64eb:p5-Test-LWP-UserAgent-0.034nb1.tgz(NetBSD 9.0)
powerpc:p5-Test-LWP-UserAgent-0.034nb1.tgz(NetBSD 8.0)
powerpc:p5-Test-LWP-UserAgent-0.034nb1.tgz(NetBSD 8.0)
powerpc:p5-Test-LWP-UserAgent-0.034nb1.tgz(NetBSD 9.0)
powerpc:p5-Test-LWP-UserAgent-0.033nb2.tgz(NetBSD 9.0)
sparc64:p5-Test-LWP-UserAgent-0.034nb1.tgz(NetBSD 9.0)
sparc64:p5-Test-LWP-UserAgent-0.034nb1.tgz(NetBSD 9.0)
sparc:p5-Test-LWP-UserAgent-0.034nb1.tgz(NetBSD 9.0)
x86_64:p5-Test-LWP-UserAgent-0.034nb1.tgz(NetBSD 9.0)
x86_64:p5-Test-LWP-UserAgent-0.034nb1.tgz(NetBSD 9.0)
x86_64:p5-Test-LWP-UserAgent-0.034nb1.tgz(NetBSD 9.0)
x86_64:p5-Test-LWP-UserAgent-0.034nb1.tgz(NetBSD 9.0)
x86_64:p5-Test-LWP-UserAgent-0.034nb1.tgz(NetBSD 8.0)
x86_64:p5-Test-LWP-UserAgent-0.033nb2.tgz(NetBSD 8.0)
x86_64:p5-Test-LWP-UserAgent-0.034nb1.tgz(NetBSD 8.0)
x86_64:p5-Test-LWP-UserAgent-0.033nb2.tgz(NetBSD 9.0)
x86_64:p5-Test-LWP-UserAgent-0.034nb1.tgz(NetBSD 9.0)
x86_64:p5-Test-LWP-UserAgent-0.034nb1.tgz(NetBSD 9.0)
x86_64:p5-Test-LWP-UserAgent-0.034nb1.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]